WESNOTH(6)

NOM
wesnoth - La bataille pour Wesnoth, un jeu fantasy de stratégie tour par tour

SYNOPSIS
wesnoth [OPTIONS] [PATH_TO_DATA]

DESCRIPTION
La bataille pour Wesnoth est un jeu de stratégie tour par tour dans un univers de fantasy. Venez à bout de tous les chefs ennemis en utilisant les unités adéquates et en gérant au mieux votre or et vos villages. Chaque unité a ses forces et ses faiblesses ; pour gagner, déployez vos troupes de façon optimales tout en empêchant vos ennemis de faire de même. Toutes les unités gagnent de l'expérience et acquièrent de nouvelles compétences, devenant plus puissantes. Jouez dans votre langue favorite, testez votre habileté contre l'ordinateur, ou rejoignez la grande communauté des joueurs en ligne de Wesnoth. Créez vos propres unités, vos scénarios ou vos campagnes et partagez-les avec d'autres.

OPTIONS

--bpp number
    définit la valeur de bits par pixel (couleurs). Exemple : --bpp 32

--compress <infile> <outfile>
    compresse une sauvegarde au format texte WML (fichier en entrée) en format binaire WML (fichier en sortie).

-d, --debug
    affiche des informations supplémentaires de débogage et permet d'utiliser des options en ligne de commande dans le jeu (voir Wiki : http://www.wesnoth.org/ pour plus d'informations sur la ligne de commande).

--decompress <infile> <outfile>
    décompresse une sauvegarde au format binaire WML (fichier en entrée) en format texte WML (fichier en sortie).

-f, --fullscreen
    Lance le jeu en mode plein écran.

--fps
    affiche, dans un angle de l'écran, le nombre actuel d'images par seconde du jeu.

-h, --help
    affiche un résumé des options de ligne de commande sur la sortie standard et quitte le programme.

--load savegame
    charge le fichier de sauvegarde à partir du répertoire de sauvegarde par défaut.

--log-error="domain1,domain2,...", --log-warning="...", --log-info="..."
    définit le niveau d'alerte du débogueur. "all" permet de suivre tous les niveaux. --log-info affiche tous les messages, --log-warning n'affiche que les avertissements et les erreurs et --log-error n'affiche que les erreurs.

--multiplayer
    lance un jeu multijoueurs. Des options supplémentaires peuvent être utilisées avec --multiplayer : voir ci-dessous.

--nocache
    désactive le cache des données de jeu.

--nosound
    lance le jeu sans son ni musique.

--path
    affiche le nom du répertoire principal du jeu et quitte le programme.

-r, --resolution XxY
    définit la résolution de l'écran. Exemple : -r 800x600

-t, --test
    lance le jeu avec un petit scénario de test.

-v, --version
    affiche le numéro de version et quitte le programme.

-w, --windowed
    lance le jeu dans une fenêtre séparée.

--no-delay
    lance le jeu sans délai pour la mesure des performances graphiques. Automatique avec --nogui.

--exit-at-end
    quitte le programme à la fin du scénario, sans afficher le message victoire/défaite qui nécessite un click sur OK de la part du joueur. Utilisable pour permettre une mesure par script des performances.

Options pour --multiplayer
Les options spécifiques au mode multijoueur sont marquées d'un <number>. <number> doit être remplacé par le nombre de joueurs. Il s'agit souvent de 1 ou de 2 mais cela dépend du nombre possible de joueurs pour le scénario choisi.

--algorithm<number>=value
    Sélectionne un algorithme utilisé par l'IA de cette faction. Valeurs possibles : "idle_ai" et "sample_ai".

--controller<number>=value
    Sélectionne le type de joueur de ce camp. Valeurs possibles : "human" and "ai".

--era=value
    utilisez cette option pour jouer à l'ère sélectionnée au lieu de l'ère "Default". Cette ère est sélectionnée par un identifiant. Les ères sont décrites dans le fichier data/multiplayer.cfg.

--nogui
    lance le jeu sans interface graphique. Doit apparaître avant --multiplayer.

--parm<number>=name:value
    ajoute des paramètres spécifiques à ce camp. Ces paramètres dépendent des options utilisées avec --controller et --algorithm. Ne devrait être utile qu'aux personnes expérimentant leur propre IA (non encore totalement documenté).

--scenario=value
    sélectionne un scénario multijoueur. Le scénario par défaut est : "multiplayer_Charge".

--side<number>=value
    permet de sélectionner un camp. Ce camp est choisi par identifiant. Les camps sont décrits dans le fichier data/multiplayer.cfg.

--turns=value
    défini le nombre de tours du scénario. Valeur par défaut : "50".

Exemple pour tester votre propre IA :
    wesnoth --multiplayer --controller2=python_ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py --side2=Rebels

AUTEUR
Écrit par David White <davidnwhite@verizon.net>.
Édité par Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> et Soliton <soliton@sonnenkinder.org>.
Ce manuel a été écrit par Cyril Bouthors <cyril@bouthors.org>.
Rendez-vous sur la page d'accueil officielle : http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
Ceci est un logiciel libre ; ce logiciel est sous la licence GPL version 2, comme définie par la Free Software Foundation. Il n'offre AUCUNE GARANTIE, y compris en ce qui concerne la COMMERCIABILITÉ et la CONFORMITÉ À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
wesnoth_editor(6), wesnothd(6)